Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
POSTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required

BatchAddBareMetal2IpmiChassis

BatchAddBareMetal2IpmiChassis

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • chassisInfoStringRequired

      The Base64-encoded configuration file of bare metal chassis.

    • longJobNameString

      Optional. The name of the long job.

    • longJobDescriptionString

      Optional. The description of the long job.

    • resourceUuidString

      Optional. The UUID of the long job.

    • tagUuidsList

      Optional. The tag UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLongJobInventoryRequired

    See inventory.

    • uuidStringRequired

      The UUID of the API request.

    • nameStringRequired

      The name of the API.

    • descriptionStringRequired

      The detailed description of the long job.

    • apiIdStringRequired

      The ID of the long job.

    • jobNameStringRequired

      The name of the long job.

    • jobDataStringRequired

      The data about the long job.

    • jobResultStringRequired

      The result of the long job.

    • targetResourceUuidStringRequired

      The UUID of the long job.

    • managementNodeUuidStringRequired

      The UUID of the management node.

    • createDateTimestampRequired

      The time when the long job was created.

    • lastOpDateTimestampRequired

      The time when the long job was last operated.

    • stateLongJobStateRequired

      See state.

      • nameStringRequired

        The name of the long job.

      • ordinalintRequired

        No description provided.

Endpoint

POST/zstack/v1/baremetal2/chassis/ipmi/from-file

/zstack/v1/baremetal2/chassis/ipmi/from-file

Operation ID

BatchAddBareMetal2IpmiChassis

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/baremetal2/chassis/ipmi/from-file' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"chassisInfo":"<chassisInfo>","longJobName":"<longJobName>","longJobDescription":"<longJobDescription>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "1a3e5b9ece0738f5b1ca785271dd7b34", "name": "APIBatchAddBareMetal2ChassisEvent", "apiId": "d22289087f32358ca7d06ed3c1969462", "jobName": "APIBatchAddBareMetal2ChassisEvent", "jobData": "{\"createMessages\":[]", "jobResult": "", "state": "Succeeded", "managementNodeUuid": "a0b0f5b18c6e3cbb84b7d75e3eea991d" } }

Change History

This API has no change history records yet.

View all change history